class EndingLayer extends PH.Layer {
    game: Game;
    collMsg: string;

    constructor(game: Game, numColl: number, numMsg: number) {
        super();
        this.game = game;

        this.collMsg = "You collected " + numColl + "/" + numMsg + " messages.";
    }

    draw() {
        this.game.mainFont.drawCenteredText(this.game.ctx, "T H E   E N D", 160, 50);
        this.game.mainFont.drawCenteredText(this.game.ctx, "Conduit - a game by Michael Pauley", 160, 90);
        this.game.mainFont.drawCenteredText(this.game.ctx, "Made for Ludum Dare 48", 160, 110);
        this.game.mainFont.drawCenteredText(this.game.ctx, this.collMsg, 160, 150);
    }

}